package com.fs.ai.service;

import com.baidubce.appbuilder.model.agentbuilder.AgentBuilderResult;
import com.baidubce.appbuilder.model.dataset.DocumentListResponse;
import com.fs.ai.vo.BaiduAIBaseVO;
import com.fs.ai.vo.BaiduAIMsgResultVO;
import com.fs.ai.vo.BaiduAIMsgVO;
import com.fs.ai.vo.BaiduAITokenVO;
import com.fs.chat.domain.ChatDataset;
import com.fs.common.core.domain.R;

import java.io.File;

public interface IBaiduAIService {
    BaiduAITokenVO getToken();
    BaiduAIMsgVO callAI(String msg);
    String createDataset(String datasetName);
    void delDocument(String datasetId, String docId);
    String[] addDocument(String datasetId, String filePath);
    DocumentListResponse getDocument(String datasetId,int page, int limit, String keywork);
    BaiduAIMsgResultVO run(String appId, String conversationId, String msg);
}
